import { IReducerType } from '../../redux.module';
export interface IReduxState<S> {
    initialize(): S | Promise<S>;
}
export interface IReduxStateType {
    new (...args: any[]): IReduxState<{}>;
}
export interface IReduxStateConfig {
    name: string;
    reducers?: IReducerType[];
}
export declare function ReduxState(config: IReduxStateConfig): <T extends IReduxStateType>(constructor: T) => T;
export declare function getReduxStateMetadata(target: any): IReduxStateConfig;
