import { ModuleWithProviders } from '@angular/core';
import { IReduxModuleChildConfig, IReduxModuleRootConfig } from './interfaces';
export interface IReducerType {
    new (...args: any[]): any;
}
export declare class ReduxRootModule {
    constructor(config?: IReduxModuleRootConfig);
}
export declare class ReduxChildModule {
}
export declare class ReduxModule {
    static forChild(config: IReduxModuleChildConfig): ModuleWithProviders;
    static forRoot(config?: IReduxModuleRootConfig): ModuleWithProviders;
}
